diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_compare_SerialAndThreadedAthenas.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_compare_SerialAndThreadedAthenas.sh
index 50c47335aa729f7de8d4e3ce8b571b111dfd508e..96785387e715c0d1b066f4f41595ee20c3d9a1d5 100755
--- a/Reconstruction/RecExample/RecExRecoTest/test/test_compare_SerialAndThreadedAthenas.sh
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_compare_SerialAndThreadedAthenas.sh
@@ -26,7 +26,8 @@ if [[ $rc -eq 0 ]] && [[ $rc1 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../serial/ | tee diffSerialOneThread.log
- echo "art-result: $? Diff-Serial-OneThread"
+ rcDiff1=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff1 Diff-Serial-OneThread"
 fi
 
 cd ../
@@ -43,7 +44,8 @@ if [[ $rc1 -eq 0 ]] && [[ $rc2 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../threadOne | tee diffTwoThreadsOneThread.log
- echo "art-result: $? Diff-OneThread-TwoThreads"
+ rcDiff2=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff2 Diff-OneThread-TwoThreads"
 fi
 
 cd ../
@@ -60,5 +62,6 @@ if [[ $rc2 -eq 0 ]] && [[ $rc5 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../threadTwo | tee diffFiveThreadsTwoThreads.log
- echo "art-result: $? Diff-TwoThreads-FiveThreads"
+ rcDiff5=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff5 Diff-TwoThreads-FiveThreads"
 fi
diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
index be3c32849b05368ea8ece08f7943a7f4cdace5e6..236189a8494111329179dcd46e2d80fbc623688e 100755
--- a/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_reco_tf_compare_SerialAndThreadedAthenas.sh
@@ -26,7 +26,8 @@ if [[ $rc -eq 0 ]] && [[ $rc1 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../serial/ | tee diffSerialOneThread.log
- echo "art-result: $? Diff-Serial-OneThread"
+ rcDiff1=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff1 Diff-Serial-OneThread"
 fi
 
 cd ../
@@ -43,7 +44,8 @@ if [[ $rc1 -eq 0 ]] && [[ $rc2 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../threadOne | tee diffTwoThreadsOneThread.log
- echo "art-result: $? Diff-OneThread-TwoThreads"
+ rcDiff2=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff2 Diff-OneThread-TwoThreads"
 fi
 
 cd ../
@@ -60,5 +62,6 @@ if [[ $rc2 -eq 0 ]] && [[ $rc5 -eq  0 ]]
 then
  echo "Compare two directories"
  art.py compare ref --entries 10 --mode=semi-detailed --order-trees --diff-root . ../threadTwo | tee diffFiveThreadsTwoThreads.log
- echo "art-result: $? Diff-TwoThreads-FiveThreads"
+ rcDiff5=${PIPESTATUS[0]}
+ echo "art-result: $rcDiff5 Diff-TwoThreads-FiveThreads"
 fi